<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleStoppingPlaceRefStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for reference to VEHICLE STOPPING PLACe.
 * @subpackage Structs
 */
class VehicleStoppingPlaceRefStructure extends StopPlaceSpaceRefStructure
{
    /**
     * The _
     * @var \StructType\StopPlaceSpaceRefStructure
     */
    public $_;
    /**
     * Constructor method for VehicleStoppingPlaceRefStructure
     * @uses VehicleStoppingPlaceRefStructure::set_()
     * @param \StructType\StopPlaceSpaceRefStructure $_
     */
    public function __construct(\StructType\StopPlaceSpaceRefStructure $_ = null)
    {
        $this
            ->set_($_);
    }
    /**
     * Get _ value
     * @return \StructType\StopPlaceSpaceRefStructure|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param \StructType\StopPlaceSpaceRefStructure $_
     * @return \StructType\VehicleStoppingPlaceRefStructure
     */
    public function set_(\StructType\StopPlaceSpaceRefStructure $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VehicleStoppingPlaceRefStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
